javax.jdo.datastore

## Class DataStoreCache.EmptyDataStoreCache

- java.lang.Object
- - javax.jdo.datastore.DataStoreCache.EmptyDataStoreCache

- All Implemented Interfaces:
    DataStoreCache
  Enclosing interface:
    DataStoreCache

      public static class DataStoreCache.EmptyDataStoreCache
      extends Object
      implements DataStoreCache

  This class is an empty implementation of the DataStoreCache interface. It can be used by an implementation that does not support a second-level cache.
  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.jdo.datastore.DataStoreCache

      `DataStoreCache.EmptyDataStoreCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyDataStoreCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evict(Object oid)` Evict the parameter instance from the second-level cache.
    `void` | `evictAll()` Evict the parameter instances from the second-level cache.
    `void` | `evictAll(boolean subclasses, Class pcClass)` Evict the parameter instances from the second-level cache.
    `void` | `evictAll(Collection oids)` Evict the parameter instances from the second-level cache.
    `void` | `evictAll(Object... oids)` Evict the parameter instances from the second-level cache.
    `void` | `pin(Object oid)` Pin the parameter instance in the second-level cache.
    `void` | `pinAll(boolean subclasses, Class pcClass)` Pin instances in the second-level cache.
    `void` | `pinAll(Collection oids)` Pin the parameter instances in the second-level cache.
    `void` | `pinAll(Object... oids)` Pin the parameter instances in the second-level cache.
    `void` | `unpin(Object oid)` Unpin the parameter instance from the second-level cache.
    `void` | `unpinAll(boolean subclasses, Class pcClass)` Unpin instances from the second-level cache.
    `void` | `unpinAll(Collection oids)` Unpin the parameter instances from the second-level cache.
    `void` | `unpinAll(Object... oids)` Unpin the parameter instance from the second-level cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyDataStoreCache

          public EmptyDataStoreCache()

  - ### Method Detail

    - #### evict

          public void evict(Object oid)

      Description copied from interface: `DataStoreCache`
      Evict the parameter instance from the second-level cache.
      Specified by:
        `evict` in interface `DataStoreCache`
      Parameters:
        `oid` - the object id of the instance to evict.

    - #### evictAll

          public void evictAll()

      Description copied from interface: `DataStoreCache`
      Evict the parameter instances from the second-level cache. All instances in the PersistenceManager's cache are evicted from the second-level cache.
      Specified by:
        `evictAll` in interface `DataStoreCache`

    - #### evictAll

          public void evictAll(Object... oids)

      Description copied from interface: `DataStoreCache`
      Evict the parameter instances from the second-level cache.
      Specified by:
        `evictAll` in interface `DataStoreCache`
      Parameters:
        `oids` - the object ids of the instance to evict.

    - #### evictAll

          public void evictAll(Collection oids)

      Description copied from interface: `DataStoreCache`
      Evict the parameter instances from the second-level cache.
      Specified by:
        `evictAll` in interface `DataStoreCache`
      Parameters:
        `oids` - the object ids of the instance to evict.

    - #### evictAll

          public void evictAll(boolean subclasses,
                               Class pcClass)

      Description copied from interface: `DataStoreCache`
      Evict the parameter instances from the second-level cache.
      Specified by:
        `evictAll` in interface `DataStoreCache`
      Parameters:
        `subclasses` - if true, evict instances of subclasses also
        `pcClass` - the class of instances to evict

    - #### pin

          public void pin(Object oid)

      Description copied from interface: `DataStoreCache`
      Pin the parameter instance in the second-level cache.
      Specified by:
        `pin` in interface `DataStoreCache`
      Parameters:
        `oid` - the object id of the instance to pin.

    - #### pinAll

          public void pinAll(Object... oids)

      Description copied from interface: `DataStoreCache`
      Pin the parameter instances in the second-level cache.
      Specified by:
        `pinAll` in interface `DataStoreCache`
      Parameters:
        `oids` - the object ids of the instances to pin.

    - #### pinAll

          public void pinAll(Collection oids)

      Description copied from interface: `DataStoreCache`
      Pin the parameter instances in the second-level cache.
      Specified by:
        `pinAll` in interface `DataStoreCache`
      Parameters:
        `oids` - the object ids of the instances to pin.

    - #### pinAll

          public void pinAll(boolean subclasses,
                             Class pcClass)

      Description copied from interface: `DataStoreCache`
      Pin instances in the second-level cache.
      Specified by:
        `pinAll` in interface `DataStoreCache`
      Parameters:
        `subclasses` - if true, pin instances of subclasses also
        `pcClass` - the class of instances to pin

    - #### unpin

          public void unpin(Object oid)

      Description copied from interface: `DataStoreCache`
      Unpin the parameter instance from the second-level cache.
      Specified by:
        `unpin` in interface `DataStoreCache`
      Parameters:
        `oid` - the object id of the instance to unpin.

    - #### unpinAll

          public void unpinAll(Object... oids)

      Description copied from interface: `DataStoreCache`
      Unpin the parameter instance from the second-level cache.
      Specified by:
        `unpinAll` in interface `DataStoreCache`
      Parameters:
        `oids` - the object id of the instance to evict.

    - #### unpinAll

          public void unpinAll(Collection oids)

      Description copied from interface: `DataStoreCache`
      Unpin the parameter instances from the second-level cache.
      Specified by:
        `unpinAll` in interface `DataStoreCache`
      Parameters:
        `oids` - the object ids of the instance to evict.

    - #### unpinAll

          public void unpinAll(boolean subclasses,
                               Class pcClass)

      Description copied from interface: `DataStoreCache`
      Unpin instances from the second-level cache.
      Specified by:
        `unpinAll` in interface `DataStoreCache`
      Parameters:
        `subclasses` - if true, unpin instances of subclasses also
        `pcClass` - the class of instances to unpin

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.